Name:           python-which
Version:        1.1.0
Release:        %mkrel 15
Summary:        Small which replacement that can be used as a Python module

Group:          Development/Python
License:        MIT
URL:            http://trentm.com/projects/which/
Source0:        http://trentm.com/downloads/which/%{version}/which-%{version}.zip

BuildArch:      noarch
BuildRequires:	python
BuildRequires:	python-devel

%description
which.py is a small which replacement. It has the following features:

 * it can print all matches on the PATH;
 * it can note "near misses" on the PATH (e.g. files that match but 
   may not, say, have execute permissions); and
 * it can be used as a Python module.


%prep
%setup -q -n which-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# add a script that calls the python module
cat << \EOF > which-python
#!/bin/sh
python -m which $@
EOF
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 -p which-python $RPM_BUILD_ROOT%{_bindir}

 
%files
%doc LICENSE.txt README.txt TODO.txt
%{_bindir}/which-python
%{python_sitelib}/which.py*
%{python_sitelib}/which-*.egg-info






%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-15.mga6
+ Revision: 942514
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-14.mga5
+ Revision: 742503
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.0-13.mga5
+ Revision: 730009
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-12.mga5
+ Revision: 688423
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.0-10.mga4
+ Revision: 544525
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.0-9.mga4
+ Revision: 499728
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-8.mga3
+ Revision: 379681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 pterjan <pterjan> 1.1.0-7.mga1
+ Revision: 21256
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 1.1.0-6.mga1
+ Revision: 3282
- imported package python-which


* Fri Oct 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.0-6mdv2011.0
+ Revision: 589984
- rebuild for python-2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-5mdv2010.1
+ Revision: 524111
- rebuilt for 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-4mdv2010.0
+ Revision: 442543
- rebuild

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 1.1.0-3mdv2009.1
+ Revision: 323410
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2009.0
+ Revision: 269044
- rebuild early 2009.0 package (before pixel changes)

  + David Walluck <walluck@mandriva.org>
    - import python-which


* Mon Jan  7 2008 Patrice Dumas <pertusus@free.fr> - 1.1.0-3
- ship egg file

* Sun Oct 28 2007  <ndbecker2@gmail.com> - 1.1.0-2
- Remove ref to GNU

* Sat Oct 27 2007  <ndbecker2@gmail.com> - 1.1.0-1
- Package for fedora

* Thu Jul 19 2007 Patrice Dumas <pertusus@free.fr> 1.1.0-1
- initial packaging
